package com.qmth.teachcloud.common.bean.dto.excel.export;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 系统用户错误数据导出Dto
 */
@ExcelImportTempleteVaild(value = true)
public class SysUserErrorExportDto implements Serializable {

    @ExcelProperty(name = "姓名", index = 1)
    private String name;

    @ExcelProperty(name = "用户名/工号", index = 2)
    private String loginName;

    @ExcelProperty(name = "手机号", index = 3)
    private String phoneNumber;

    @ExcelProperty(name = "组织架构", index = 4)
    private String orgName;

    @ExcelProperty(name = "角色", index = 5)
    private String roleName;

    @ExcelProperty(name = "错误原因", index = 6)
    private String errorMsg;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
